<?php
include '_inc/cfg.php';
include '_inc/func.php';
include '_inc/session.php';

try {

if(!empty($_POST) && isset($_POST)){$post = $_POST;}

$draw = $post['draw'];
$row = $post['start'];
$rowperpage = $post['length']; // Rows display per page
$columnIndex = $post['order'][0]['column']; // Column index
$columnName = $post['columns'][$columnIndex]['data']; // Column name
$columnSortOrder = $post['order'][0]['dir']; // asc or desc
$searchValue = $post['search']['value'];

$searchQuery = " ";
$columnName = "id";

if($searchValue != ''){
	$searchQuery = " and (bid like '%".$searchValue."%' or rid like '%".$searchValue."%')";
}

$stmt = $pdo->prepare("SELECT * FROM ".$db_prefix."bundles WHERE uid=:uid");
$stmt->bindParam(':uid', $uid);
$stmt->execute();
$records = $stmt->fetchAll(PDO::FETCH_ASSOC);
$totalRecords = $stmt->rowCount();

$stmt = $pdo->prepare("SELECT * FROM ".$db_prefix."bundles WHERE uid=:uid ".$searchQuery);
$stmt->bindParam(':uid', $uid);
$stmt->execute();
$records = $stmt->fetch(PDO::FETCH_ASSOC);
$totalRecordwithFilter = $stmt->rowCount();

$stmt = $pdo->prepare("SELECT COUNT(*) FROM ".$db_prefix."bundles WHERE uid=:uid ".$searchQuery);
$stmt->bindParam(':uid', $uid);
$stmt->execute();
$records = $stmt->fetch(PDO::FETCH_ASSOC);

// echo $searchQuery.' | '.$columnName.' | '.$columnSortOrder;

$empQuery = "SELECT * FROM ".$db_prefix."bundles WHERE uid=:uid ".$searchQuery." ORDER BY ".$columnName." ".$columnSortOrder." LIMIT ".$row.",".$rowperpage;

$stmt = $pdo->prepare($empQuery);
$stmt->bindParam(':uid', $uid);
$stmt->execute();
$empRecords = $stmt->fetchAll(PDO::FETCH_ASSOC);

$data = [];

foreach ($empRecords as $key => $row) {

$bot = getBotByID($row['bid']);
$resource = getResourceByID($row['rid']);

$block_resource = '<b><a target="_blank" href="'.$resource['invite_link'].'">'.$resource['title'].'</a></b>';
$count_success = getSuccessCountMembersByBundle($row['bid'],$row['rid']);
$count_errors = getErrorsCountMembersByBundle($row['bid'],$row['rid']);

$data[] = array($row['id'],$block_resource.' <span class="mx-2">→</span> <b><a target="_blank" href="https://t.me/'.$bot['username'].'">'.$bot['title'].'</a></b>','<div class="text-center"><span class="text-success">'.$count_success.'</span><span class="mx-1">/</span><span class="text-danger">'.$count_errors.'</span></div>','<i class="far fa-edit mx-2" style="cursor:pointer" title="Редактировать" data-toggle="modal" data-target="#editItem" data-id="'.$row['id'].'"></i>','<i class="far fa-trash-alt text-danger mx-2" style="cursor:pointer" title="Удалить" onclick="deleteItem('.$row['id'].');"></i>');

}

$response = array(
  "draw" => intval($draw),
  "iTotalRecords" => $totalRecords,
  "iTotalDisplayRecords" => $totalRecordwithFilter,
  "aaData" => $data
);

echo json_encode($response);

} catch (Exception $e) {
	// echo $e->getMessage().' | '.$e->getFile().' | '.$e->getLine();
}
?>
