<?php
include '_inc/cfg.php';
include '_inc/func.php';
include '_inc/session.php';

try {

if(!empty($_POST) && isset($_POST)){$post = $_POST;}

$draw = $post['draw'];
$row = $post['start'];
$rowperpage = $post['length']; // Rows display per page
$columnIndex = $post['order'][0]['column']; // Column index
$columnName = $post['columns'][$columnIndex]['data']; // Column name
$columnSortOrder = $post['order'][0]['dir']; // asc or desc
$searchValue = $post['search']['value'];

$searchQuery = " ";
$columnName = "id";

if($searchValue != ''){
	$searchQuery = " and (id like '%".$searchValue."%' or title like '%".$searchValue."%')";
}

$stmt = $pdo->prepare("SELECT * FROM ".$db_prefix."resources WHERE uid=:uid ORDER BY id DESC");
$stmt->bindParam(':uid', $uid);
$stmt->execute();
$records = $stmt->fetchAll(PDO::FETCH_ASSOC);
$totalRecords = $stmt->rowCount();

$stmt = $pdo->prepare("SELECT * FROM ".$db_prefix."resources WHERE uid=:uid ".$searchQuery);
$stmt->bindParam(':uid', $uid);
$stmt->execute();
$records = $stmt->fetch(PDO::FETCH_ASSOC);
$totalRecordwithFilter = $stmt->rowCount();

$stmt = $pdo->prepare("SELECT COUNT(*) FROM ".$db_prefix."resources WHERE uid=:uid ".$searchQuery);
$stmt->bindParam(':uid', $uid);
$stmt->execute();
$records = $stmt->fetch(PDO::FETCH_ASSOC);

// echo $searchQuery.' | '.$columnName.' | '.$columnSortOrder;

$empQuery = "SELECT * FROM ".$db_prefix."resources WHERE uid=:uid ".$searchQuery." ORDER BY ".$columnName." ".$columnSortOrder." LIMIT ".$row.",".$rowperpage;

$stmt = $pdo->prepare($empQuery);
$stmt->bindParam(':uid', $uid);
$stmt->execute();
$empRecords = $stmt->fetchAll(PDO::FETCH_ASSOC);

$data = [];

foreach ($empRecords as $key => $row) {

$block_copy = '<i data-id="'.$row['id'].'" data-link="'.$row['invite_link'].'" onclick="copyToClipboard(\'svg[data-id='.$row['id'].']\');" class="far fa-copy mx-2" style="cursor:pointer;" title="Копировать ссылку"></i>';

if($row['invite_link'] == ''){
	$block_copy = '<i class="far fa-copy mx-2" style="cursor:pointer;color:#999" title="Копировать ссылку"></i>';
}

$block_title = '<b>'.$row['title'].'</b>';

if($row['invite_link'] != ''){
	$block_title = '<b><a target="_blank" href="'.$row['invite_link'].'">'.$row['title'].'</a></b>';
}

$data[] = array($row['id'],$block_title,$block_copy,'<i class="far fa-trash-alt text-danger mx-2" style="cursor:pointer" title="Удалить" onclick="deleteItem('.$row['id'].');"></i>');

}

$response = array(
  "draw" => intval($draw),
  "iTotalRecords" => $totalRecords,
  "iTotalDisplayRecords" => $totalRecordwithFilter,
  "aaData" => $data
);

echo json_encode($response);

} catch (Exception $e) {
	
}
?>
