<?php
include '_inc/cfg.php';
include '_inc/func.php';
include '_inc/session.php';

try {

if(!empty($_POST) && isset($_POST)){$post = $_POST;}

$draw = $post['draw'];
$row = $post['start'];
$rowperpage = $post['length']; // Rows display per page
$columnIndex = $post['order'][0]['column']; // Column index
$columnName = $post['columns'][$columnIndex]['data']; // Column name
$columnSortOrder = $post['order'][0]['dir']; // asc or desc
$searchValue = $post['search']['value'];

$searchQuery = " ";
$columnName = "id";

if($searchValue != ''){
	$searchQuery = " and (text like '%".$searchValue."%')";
}

$stmt = $pdo->prepare("SELECT * FROM ".$db_prefix."senders WHERE uid=:uid");
$stmt->bindParam(':uid', $uid);
$stmt->execute();
$records = $stmt->fetchAll(PDO::FETCH_ASSOC);
$totalRecords = $stmt->rowCount();

$stmt = $pdo->prepare("SELECT * FROM ".$db_prefix."senders WHERE uid=:uid ".$searchQuery);
$stmt->bindParam(':uid', $uid);
$stmt->execute();
$records = $stmt->fetch(PDO::FETCH_ASSOC);
$totalRecordwithFilter = $stmt->rowCount();

$stmt = $pdo->prepare("SELECT COUNT(*) FROM ".$db_prefix."senders WHERE uid=:uid ".$searchQuery);
$stmt->bindParam(':uid', $uid);
$stmt->execute();
$records = $stmt->fetch(PDO::FETCH_ASSOC);

// echo $searchQuery.' | '.$columnName.' | '.$columnSortOrder;

$empQuery = "SELECT * FROM ".$db_prefix."senders WHERE uid=:uid ".$searchQuery." ORDER BY ".$columnName." ".$columnSortOrder." LIMIT ".$row.",".$rowperpage;

$stmt = $pdo->prepare($empQuery);
$stmt->bindParam(':uid', $uid);
$stmt->execute();
$empRecords = $stmt->fetchAll(PDO::FETCH_ASSOC);

$data = [];

foreach ($empRecords as $key => $row) {

$bundle = getBundleByID($row['bind_id']);

$bot = getBotByID($bundle['bid']);
$resource = getResourceByID($bundle['rid']);

$block_resource = '<b><a target="_blank" href="'.$resource['invite_link'].'">'.$resource['title'].'</a></b>';
$count_success = $row['success'];
$count_errors = $row['errors'];


if($row['status'] == 1){

	if($row['type'] == 0 || $row['type'] == 2){
		$block_status = '<i class="fas fa-clock text-warning"></i> В очереди';
	}

	if($row['type'] == 1){
		$block_status = '<i class="fas fa-sync-alt text-success"></i> В работе';
	}

}
if($row['status'] == 2){$block_status = '<i class="fas fa-sync-alt text-success"></i> В работе';}
if($row['status'] == 3){$block_status = '<i class="fas fa-check-circle text-success"></i> Завершено';}

$end = '';

if(mb_strlen($row['text']) > 20){$end = '...';}

$block_text = mb_substr($row['text'], 0, 20).$end;


$block_bundle = 'Все связки';

if($row['bind_id'] != 0){
$block_bundle = $block_resource.' <span class="mx-2">→</span> <b><a target="_blank" href="https://t.me/'.$bot['username'].'">'.$bot['title'].'</a></b>';
}

$data[] = array($row['id'],$block_bundle,$block_text,'<div class="text-center"><span class="text-success">'.$count_success.'</span><span class="mx-1">/</span><span class="text-danger">'.$count_errors.'</span></div>','<div class="text-center">'.$block_status.'</div>','<i class="far fa-edit mx-2" style="cursor:pointer" title="Редактировать" data-toggle="modal" data-target="#editItem" data-id="'.$row['id'].'"></i>','<i class="far fa-trash-alt text-danger mx-2" style="cursor:pointer" title="Удалить" onclick="deleteItem('.$row['id'].');"></i>');

}

$response = array(
  "draw" => intval($draw),
  "iTotalRecords" => $totalRecords,
  "iTotalDisplayRecords" => $totalRecordwithFilter,
  "aaData" => $data
);

echo json_encode($response);

} catch (Exception $e) {
	// echo $e->getMessage().' | '.$e->getFile().' | '.$e->getLine();
}
?>
