<!DOCTYPE html>
<html lang="en">

<head>
	<meta charset="utf-8" />
	<meta http-equiv="X-UA-Compatible" content="IE=edge" />
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
	<meta name="description" content="" />
	<meta name="author" content="" />
	<title>Рассылки</title>
	<link href="/css/style.css?10" rel="stylesheet" />
	<link href="https://cdn.datatables.net/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" crossorigin="anonymous" />
	<script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.11.2/js/all.min.js" crossorigin="anonymous"></script>
</head>

<body class="sb-nav-fixed">
	<?php include '_blocks/header.php'; ?>
		<div id="layoutSidenav">
			<?php include '_blocks/sidebar.php'; ?>
				<div id="layoutSidenav_content">
					<main>
						<div class="container-fluid">
							<div class="d-flex align-items-center">
								<h3 class="my-4 ml-2 mr-auto">Рассылки</h3>
								<div>
									<button class="btn btn-primary px-4" style="float:right" data-toggle="modal" data-target="#newItem">Создать рассылку</button>
								</div>
							</div>
							<div class="card mb-4">
								<div class="card-body">
									<div class="table-responsive">
										<table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
											<thead>
												<tr>
													<th class="font-weight-normal text-uppercase" style="width:15px;font-size: 13px">ID</th>
													<th class="font-weight-normal text-uppercase" style="font-size: 13px">Связка</th>
													<th class="font-weight-normal text-uppercase" style="font-size: 13px">Сообщение</th>
													<th class="font-weight-normal text-uppercase" style="width:15px;font-size: 13px">Статистика</th>
													<th class="font-weight-normal text-uppercase" style="font-size: 13px">Статус</th>
													<th class="font-weight-normal text-uppercase" style="width:15px;font-size: 13px"></th>
													<th class="font-weight-normal text-uppercase" style="width:15px;font-size: 13px"></th>
												</tr>
											</thead>
										</table>
									</div>
								</div>
							</div>
						</div>
					</main>
				</div>
		</div>
		<div class="modal fade" id="newItem" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
			<div class="modal-dialog" role="document">
				<div class="modal-content">
					<div class="modal-header">
						<h5 class="modal-title mx-3" id="exampleModalLabel">Новая рассылка</h5>
						<button class="close" type="button" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">×</span> </button>
					</div>
					<form id="form" class="modal-body">
						<div class="form-group mx-3">
							<label for="bind_id">Связка</label>
							<select class="form-control" id="bind_id" name="bind_id">
								<option>Выберите связку</option>
								<option value="0">Отправить во все связки</option>
							</select>
						</div>
						<div class="form-group mx-3">
							<label for="text">Сообщение</label>
							<textarea class="form-control" id="text" name="text" placeholder="Напишите сообщение.."></textarea>
						</div>
						<div class="custom-control custom-checkbox mx-3">
							<input type="checkbox" class="custom-control-input" id="new_is_preview" name="is_preview" value="1">
							<label class="custom-control-label" for="new_is_preview">Отключить превью ссылки</label>
						</div>
						<hr>
						<div class="form-group mx-3" id="image_result"></div>
						<div class="custom-file">
							<input type="file" class="custom-file-input" name="file" id="image">
							<input type="hidden" name="media" id="image_url">
							<label class="custom-file-label mx-3" for="image">Выбрать изображение</label>
						</div>
						<hr>
						<label class="mx-3">Кнопка</label>
						<div class="form-row mx-2">
							<div class="col">
								<input type="text" class="form-control" name="name_button" placeholder="Название кнопки"> </div>
							<div class="col">
								<input type="text" class="form-control" name="url_button" placeholder="Ссылка"> </div>
						</div>
						<hr>
						<div class="custom-control custom-checkbox mx-3">
							<input type="checkbox" class="custom-control-input" id="new_type" name="type" value="1">
							<label class="custom-control-label" for="new_type">Включить авто-ответ</label>
						</div>
					</form>
					<div class="modal-footer">
						<button class="btn btn-secondary px-4" type="button" data-dismiss="modal">Отмена</button>
						<button class="btn btn-primary px-4" onclick="newSender();">Запустить</button>
					</div>
				</div>
			</div>
		</div>
		<div class="modal fade" id="editItem" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
			<div class="modal-dialog" role="document">
				<div class="modal-content">
					<div class="modal-header">
						<h5 class="modal-title mx-3" id="exampleModalLabel">Редактировать рассылку</h5>
						<button class="close" type="button" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">×</span> </button>
					</div>
					<form id="form" class="modal-body">
						<div class="form-group mx-3">
							<label for="bind_id">Связка</label>
							<select class="form-control" id="bind_id" name="bind_id">
								<option>Выберите связку</option>
								<option value="0">Отправить во все связки</option>
							</select>
						</div>
						<div class="form-group mx-3">
							<label for="text">Сообщение</label>
							<textarea class="form-control" id="text" name="text" placeholder="Напишите сообщение.."></textarea>
						</div>
						<div class="custom-control custom-checkbox mx-3">
							<input type="checkbox" class="custom-control-input" id="edit_is_preview" name="is_preview" value="1">
							<label class="custom-control-label" for="edit_is_preview">Отключить превью ссылки</label>
						</div>
						<hr>
						<div class="form-group mx-3" id="image_result"></div>
						<div class="custom-file">
							<input type="file" class="custom-file-input" name="file" id="image">
							<input type="hidden" name="media" id="image_url">
							<label class="custom-file-label mx-3" for="image">Выбрать изображение</label>
						</div>
						<hr>
						<label class="mx-3">Кнопка</label>
						<div class="form-row mx-2">
							<div class="col">
								<input type="text" class="form-control" id="name_button" name="name_button" placeholder="Название кнопки"> </div>
							<div class="col">
								<input type="text" class="form-control" id="url_button" name="url_button" placeholder="Ссылка"> </div>
						</div>
						<hr>
						<div class="custom-control custom-checkbox mx-3">
							<input type="checkbox" class="custom-control-input" id="edit_type" name="type" value="1">
							<label class="custom-control-label" for="edit_type">Включить авто-ответ</label>
						</div>
					</form>
					<div class="modal-footer">
						<button class="btn btn-secondary px-4" type="button" data-dismiss="modal">Отмена</button>
						<button class="btn btn-primary px-4 bt-save">Сохранить и запустить</button>
					</div>
				</div>
			</div>
		</div>
		<script src="https://code.jquery.com/jquery-3.4.1.min.js" crossorigin="anonymous"></script>
		<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.bundle.min.js" crossorigin="anonymous"></script>
		<script src="https://cdn.datatables.net/1.10.20/js/jquery.dataTables.min.js" crossorigin="anonymous"></script>
		<script src="https://cdn.datatables.net/1.10.20/js/dataTables.bootstrap4.min.js" crossorigin="anonymous"></script>
		<script src="js/simpleUpload.min.js?v=2"></script>
		<script type="text/javascript">
		$('#item_senders').addClass('active');

		$('#editItem').on('show.bs.modal', function(event) {
			var button = $(event.relatedTarget);
			var id = button.data('id');
			$.post('/api/bundles_all', {}, function(data) {
				if(data.status == true) {
					var bundles_select = '<option>Выберите связку</option>';
					$(data.result).each(function(index, e) {
						bundles_select += '<option value="' + e.id + '">' + e.resource_title + ' → ' + e.bot_title + '</option>';
					});
					bundles_select += '<option value="0">Отправить во все связки</option>';
					$('#editItem #bind_id').html(bundles_select);
					$.post('/api/sender_info', {
						id: id
					}, function(data) {
						if(data.status == true) {
							var buttons = data.result.buttons;
							$('#editItem #name_button').val(buttons.split(' - ')[0]);
							$('#editItem #url_button').val(buttons.split(' - ')[1]);
							if(data.result.is_preview == 1) {
								$('#editItem #edit_is_preview').attr('checked', 'checked');
							}
							if(data.result.type == 1) {
								$('#editItem #edit_type').attr('checked', 'checked');
							}
							$('#editItem #bind_id').val(data.result.bind_id);
							$('#editItem #text').val(data.result.text);
							if(data.result.media != '') {
								$('#editItem #image_result').html('<a target="_blank" href="' + data.result.media + '"><img style="border-radius:6px" width="140" src="' + data.result.media + '"/></a><div class="text-danger text-center mt-2" style="width:140px;cursor:pointer" onclick="del_image(\'editItem\');">Удалить</div>');
								$('#editItem #image_url').val(data.result.media);
							}
							$('#editItem .bt-save').attr('onclick', 'saveSender(' + id + ')');
						} else if(data.status == false) {
							alert('Ошибка! Не удалось получить информацию');
						}
					});
				} else if(data.status == false) {
					alert('Ошибка! Не удалось показать связки');
				}
			});
		});
		$('#dataTable').DataTable({
			'processing': true,
			'serverSide': true,
			'serverMethod': 'post',
			'destroy': true,
			'searching': true,
			"ajax": "api.senders.php",
			// "order": [[ 0, "desc" ]],
			"language": {
				"processing": "Пожалуйста подождите..",
				"emptyTable": "У вас нет ни одной рассылки",
				"info": "Страница _PAGE_ из _PAGES_",
				"infoEmpty": "Показано 0 из 0",
				"lengthMenu": "_MENU_",
				"zeroRecords": "По запросу не найдено ни одной рассылки",
				"search": "",
				"searchPlaceholder": "Поиск по таблице",
				"paginate": {
					"first": "Первая",
					"last": "Последняя",
					"next": "Следующая",
					"previous": "Предыдущая"
				}
			}
		});

		function newSender() {
			var data = $('#newItem #form').serializeFormJSON();
			$.post('/api/new_sender', {
				data: data
			}, function(data) {
				if(data.status == true) {
					$('#newItem').modal('hide');
					$('#dataTable').DataTable().ajax.reload();
				} else if(data.status == false) {
					alert(data.description);
				}
			});
		}

		function saveSender(id) {
			var data = $('#editItem #form').serializeFormJSON();
			$.post('/api/save_sender', {
				data: data,
				id: id
			}, function(data) {
				if(data.status == true) {
					$('#editItem').modal('hide');
					$('#dataTable').DataTable().ajax.reload();
				} else if(data.status == false) {
					alert(data.description);
				}
			});
		}
		$('#newItem').on('show.bs.modal', function(e) {
			$.post('/api/bundles_all', {}, function(data) {
				if(data.status == true) {
					var bundles_select = '<option>Выберите связку</option>';
					$(data.result).each(function(index, e) {
						bundles_select += '<option value="' + e.id + '">' + e.resource_title + ' → ' + e.bot_title + '</option>';
					});
					bundles_select += '<option value="0">Отправить во все связки</option>';
					$('#newItem #bind_id').html(bundles_select);
				} else if(data.status == false) {
					alert('Ошибка! Не удалось показать связки');
				}
			});
		});

		function deleteItem(id) {
			$.post('/api/delete_sender', {
				id: id
			}, function(data) {
				if(data.status == true) {
					$('#dataTable').DataTable().ajax.reload();
				} else if(data.status == false) {
					alert('Ошибка! Не удалось удалить рассылку');
				}
			});
		}
		$('#newItem #image').change(function() {
			$(this).simpleUpload("/api/upload", {
				allowedExts: ["jpg", "jpeg", "png", "gif"],
				allowedTypes: ["image/jpeg", "image/png", "image/x-png", "image/gif", "image/x-gif"],
				success: function(data) {
					//upload successful
					$('#newItem #image_result').html('<a target="_blank" href="' + data.file + '"><img style="border-radius:6px" width="140" src="' + data.file + '"/></a><div class="text-danger text-center mt-2" style="width:140px;cursor:pointer" onclick="del_image(\'newItem\');">Удалить</div>');
					$('#newItem #image_url').val(data.file);
				},
			});
		});
		$('#editItem #image').change(function() {
			$(this).simpleUpload("/api/upload", {
				allowedExts: ["jpg", "jpeg", "png", "gif"],
				allowedTypes: ["image/jpeg", "image/png", "image/x-png", "image/gif", "image/x-gif"],
				success: function(data) {
					//upload successful
					$('#editItem #image_result').html('<a target="_blank" href="' + data.file + '"><img style="border-radius:6px" width="140" src="' + data.file + '"/></a><div class="text-danger text-center mt-2" style="width:140px;cursor:pointer" onclick="del_image(\'editItem\');">Удалить</div>');
					$('#editItem #image_url').val(data.file);
				},
			});
		});

		function del_image(id) {
			$('#' + id + ' #image_result').html('');
			$('#' + id + ' #image_url').val('');
		}
		(function($) {
			$.fn.serializeFormJSON = function() {
				var o = {};
				var a = this.serializeArray();
				$.each(a, function() {
					if(o[this.name]) {
						if(!o[this.name].push) {
							o[this.name] = [o[this.name]];
						}
						o[this.name].push(this.value || '');
					} else {
						o[this.name] = this.value || '';
					}
				});
				return o;
			};
		})(jQuery);
		</script>
</body>

</html>