<?php
include 'inc/config.php';
include 'inc/functions.php';
include 'inc/session.php';

if (empty($user['login']) and empty($user['password']))
{
header('Location:'.$base_url.'logout');
exit;
}

session_write_close();
?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <base href="<?=$base_url;?>">
        <meta charset="utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
        <meta name="description" content="" />
        <meta name="author" content="" />
        <title>Управление ботами</title>
        <link href="css/styles.css?4" rel="stylesheet" />
        <link href="https://cdn.datatables.net/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" crossorigin="anonymous" />
        <link href="css/select.dataTables.min.css?4" rel="stylesheet" />
        <script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.11.2/js/all.min.js" crossorigin="anonymous"></script>
        <style type="text/css">
            tr.selected {
    background-color: #dee2e6;
}
            #tool {
                position: relative;
                top: -1px;
                margin: 0;
            }
        </style>
    </head>
    <body class="sb-nav-fixed">
<?php 
include 'inc/blocks/header.php';
?>
        <div id="layoutSidenav">
<?php
include 'inc/blocks/sidebar.php';
?>
            <div id="layoutSidenav_content">
                <main>
                    <div class="container-fluid">
                        <div class="d-flex align-items-center">
                        <h3 class="my-4 ml-2 mr-auto">Управление ботами</h3>
                        <div>
                        <button class="btn btn-primary px-4" title="Перепроверить ботов" onclick="refreshBots();"><i class="fas fa-sync"></i></button>
                        <button class="btn btn-primary px-4" style="margin-left:10px;" data-toggle="modal" data-target="#pasteBots" title="Массовое добавление ботов"><i class="fas fa-paste"></i></button>
                        <button class="btn btn-primary px-4" style="margin-left:10px;" data-toggle="modal" data-target="#addBot" title="Добавить бота"><i class="fas fa-plus"></i></button>
                        </div>
                        </div>
                        <div class="card mb-4">
                            <div class="card-body">

                                <nav class="mb-3 border-none">
  <div class="nav nav-tabs" id="nav-tab" role="tablist">
<?php
$stmt = $pdo->prepare("SELECT * FROM bots_list WHERE project_id=:project_id ORDER BY updated_at DESC");
$stmt->bindParam(':project_id', $project['id']);
$stmt->execute();
$result = $stmt->fetchAll(PDO::FETCH_ASSOC);

echo '<button class="nav-link active" id="tab0" onclick="selectTable(0);" data-bs-toggle="tab" data-bs-target="#nav-home0" type="button" role="tab" aria-controls="nav-home0" aria-selected="true">Все боты</button>';

foreach ($result as $key => $value) {

// $class = '';
// $selected = 'false';

// if($key == 0){$class = ' active';$selected = 'true';}
echo '<button class="nav-link" id="tab'.$value['id'].'" onclick="selectTable('.$value['id'].');" data-bs-toggle="tab" data-bs-target="#nav-home'.$value['id'].'" type="button" role="tab" aria-controls="nav-home'.$value['id'].'" aria-selected="false">'.$value['title'].'</button>';
}
?>

    <button class="nav-link btn btn-warning" id="links_bots" data-toggle="modal" data-id="0" data-target="#linksBots" title="Получить ссылки"><i class="fas fa-link" style="font-size:14px"></i></button>
    <button class="nav-link btn btn-success" type="button" data-toggle="modal" data-target="#addList" title="Создать папку"><i class="fas fa-plus" style="font-size:14px"></i></button>
    
  </div>
</nav>
<div class="tab-content m-1" id="nav-tabContent">

                                <div class="table-responsive">
                                    <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                                        <thead>
                                            <tr>
                                                <th></th>
                                                <th class="font-weight-normal text-uppercase" style="width:15px;font-size: 13px">ID</th>
                                                <th class="font-weight-normal text-uppercase" style="font-size: 13px">Юзернейм</th>
                                                <th class="font-weight-normal text-uppercase" style="font-size: 13px">Папка</th>
                                                <th class="font-weight-normal text-uppercase" style="font-size: 13px">Шаблон</th>
                                                <th class="font-weight-normal text-uppercase" style="width:15px;font-size: 13px">Аудитория</th>
                                                <th class="font-weight-normal text-uppercase" style="font-size: 13px">Статус</th>
                                                <th class="font-weight-normal text-uppercase" style="font-size: 13px">Создан</th>
                                                <th style="width:100px;"></th>

                                            </tr>
                                        </thead>
                                    </table>
                                </div>

</div>


                            </div>
                        </div>
                    </div>
                </main>
            </div>
        </div>
<?php
include 'inc/blocks/block.modals.php';
?>
        <script src="https://code.jquery.com/jquery-3.4.1.min.js" crossorigin="anonymous"></script>
         <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.bundle.min.js" crossorigin="anonymous"></script>
        <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.2/dist/umd/popper.min.js" integrity="sha384-IQsoLXl5PILFhosVNubq5LC7Qb9DXgDA9i+tQ8Zj3iwWAwPtgFTxbJ8NT4GN1R8p" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.min.js" integrity="sha384-cVKIPhGWiC2Al4u+LWgxfKTRIcfu0JTxR+EQDz/bgldoEyl4H0zUF0QKbrJ0EcQF" crossorigin="anonymous"></script>
        <script src="js/scripts.js"></script>
        <script src="https://cdn.datatables.net/1.12.1/js/jquery.dataTables.min.js" crossorigin="anonymous"></script>
        <script src="https://cdn.datatables.net/select/1.4.0/js/dataTables.select.min.js" crossorigin="anonymous"></script>
        <script src="https://cdn.datatables.net/1.10.20/js/dataTables.bootstrap4.min.js" crossorigin="anonymous"></script>
        <script src="assets/demo/datatables-demo.js"></script>
        <script src="js/simpleUpload.min.js?v=2"></script>
<?php
include 'inc/blocks/block.js.php';
?>
    </body>
</html>