<?php
set_time_limit(0);

include 'inc/config.php';
include 'inc/functions.php';
include 'bot/texts.php';

$datetime = date('Y-m-d H:i');

$status = 0;

$stmt = $pdo->prepare("SELECT * FROM bots WHERE status=:status");
$stmt->bindParam(':status', $status);
$stmt->execute();
$result = $stmt->fetchAll(PDO::FETCH_ASSOC);

foreach ($result as $key => $row)
{

    $notify = getNotify($row['project_id']);

    $access_token_notify = $notify['token'];
    $api_notify = 'https://api.telegram.org/bot' . $access_token_notify;

    $result = file_get_contents('https://api.telegram.org/bot' . $row['token'] . '/getMe');

    $res_bot = json_decode($result, true);

    if (!empty($res_bot['result']['id']))
    {

        $status = 0;

    }
    else
    {

        $status = 2;

        $text_error[0] = str_replace('{username_bot}', $row['username'], $text_error[0]);

        $notify_users = explode(',', $notify['users_ids']);

        foreach ($notify_users as $key => $value)
        {

            sendMessage('api_notify', $value, $text_error[0], false, false);

        }

    }

    $id = $row['id'];

    if (isset($id) && isset($status))
    {

        $res_upd = $pdo->prepare("UPDATE bots SET status=:status WHERE id=:id");
        $res_upd->bindParam(':status', $status);
        $res_upd->bindParam(':id', $id);
        $res_upd->execute();

    }

}