<?php

$output = json_decode(file_get_contents('php://input'), TRUE);

include '_inc/cfg.php';
include '_inc/func.php';
include '_inc/vars.php';

try {

$addr = $_SERVER['REQUEST_URI'];

if(!empty($_POST) && isset($_POST)){$post = $_POST;}

switch ($addr) {
	
	case '/':

	if(!empty($_SESSION['login']) && !empty($_SESSION['password'])){
		header('Location:/bundles');
	} else {
		header('Location:/login');
	}

	break;

	case '/login':

	// include '_inc/session.php';
	include 'views/login.php';

	break;

	case '/logout':

	unset($_SESSION['password']);
	unset($_SESSION['login']); 
	unset($_SESSION['id']);

	setcookie("PHPSESSID", "", time() - 3600, "/", '.'.getDomain(),true,true);


	header('Location:/login');

	break;

	case '/bundles':

	include '_inc/session.php';
	include 'views/bundles.php';

	break;

	case '/bots':

	include '_inc/session.php';
	include 'views/bots.php';

	break;

	case '/resources':

	include '_inc/session.php';
	include 'views/resources.php';

	break;

	case '/senders':

	include '_inc/session.php';
	include 'views/senders.php';

	break;

	// Обработчик
	case '/api/login':

	include '_inc/session.php';

	$data = $post['data'];

	$login = $data['login'];
	$password = $data['password'];

	if(empty($post['data']['login']) || $post['data']['login'] == ''){
		throw new Exception("Не указан логин", 1);
	}

	if(empty($post['data']['password']) || $post['data']['password'] == ''){
		throw new Exception("Не указан пароль", 1);
	}

	$login = stripslashes($login);
	$login = htmlspecialchars($login);

	$password = stripslashes($password);
	$password = htmlspecialchars($password);

	$login = trim($login);
	$password = trim($password);

	$password = md5($password);
	$password = strrev($password);
	$password = $password."q6ERAHvYhq";

	$session = getAdminByLP($login,$password);

	$_SESSION['password'] = $session['password']; 
	$_SESSION['login'] = $session['login']; 
	$_SESSION['id'] = $session['id'];

	http_response_code(200);

    $response['status'] = true;

    header('Content-type: application/json');
    echo json_encode($response);

	break;

	case '/api/add_bot':

	include '_inc/session.php';

	$data = $post['data'];
	$token = $data['token'];

	if(empty($post['data']['token']) || $post['data']['token'] == ''){
		throw new Exception("Не указан секретный токен", 1);
	}

	$api = 'https://api.telegram.org/bot'.$token;

	$me = getMe('api');

	$title = $me['result']['first_name'];
	$username = $me['result']['username'];

	if(addBot($uid,$title,$username,$token)){

	$wh = setWebhook('api',$token);

	if($wh['ok'] == true){

	http_response_code(200);

    $response['status'] = true;

    header('Content-type: application/json');
    echo json_encode($response);

    }

    }

	break;

	case '/api/add_resource':

	include '_inc/session.php';

	$data = $post['data'];

	$title = $data['title'];
	$id = $data['id'];

	if(empty($post['data']['id']) || $post['data']['id'] == ''){
		throw new Exception("Не указан ID ресурса", 1);
	}

	if(substr($id, 0, 1) == '-'){$id = substr($id, 4, 16);}

	if(addResource($uid,$id,$title)){

	if($wh['ok'] == true){

	http_response_code(200);

    $response['status'] = true;

    header('Content-type: application/json');
    echo json_encode($response);

    }

    }

	break;

	case '/api/save_bot':

	include '_inc/session.php';

	if(empty($post['id']) || $post['id'] == '' || $post['id'] == 0){
		throw new Exception("Не указан параметр ID", 1);
	}

	$data = $post['data'];
	$id = intval($post['id']);
	$token = $data['token'];

	if(empty($post['data']['token']) || $post['data']['token'] == ''){
		throw new Exception("Не указан секретный токен", 1);
	}

	$api = 'https://api.telegram.org/bot'.$token;

	$me = getMe('api');

	if($me['ok'] == true){

	$title = $me['result']['first_name'];
	$username = $me['result']['username'];

	editBotSessionByID($uid,$id,'title',$title);
	editBotSessionByID($uid,$id,'username',$username);
	editBotSessionByID($uid,$id,'token',$token);

	$wh = setWebhook('api',$token);

	if($wh['ok'] == true){

	http_response_code(200);

    $response['status'] = true;

    header('Content-type: application/json');
    echo json_encode($response);

    }

    } else {
    	throw new Exception("Вы указали неверный или невалидный токен!", 1);
    } 

	break;

	case '/api/upload':

	include '_inc/session.php';

	$ch = curl_init("https://telegra.ph/upload"); 
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_POST, 1);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

    $args['file'] = new CURLFile($_FILES['file']['tmp_name']);
    
    curl_setopt($ch, CURLOPT_POSTFIELDS, $args); 
    $result = curl_exec($ch); 

    $src_decode = json_decode($result, true);

    if(!empty($src_decode[0]['src'])){
    	$src = str_replace('/file','https://telegra.ph/file', $src_decode[0]['src']);
    } else {
    	throw new Exception("Файл не должен превышать 2 МБ", 1);
    	
    }

    http_response_code(200);

    $response['status'] = true;
    $response['file'] = $src;

    header('Content-type: application/json');
    echo json_encode($response);

	break;

	case '/api/new_sender':

	include '_inc/session.php';

	$data = $post['data'];

	$bind_id = intval($data['bind_id']);
	$text = strval($data['text']);
	$media = strval($data['media']);

	if(!isset($data['bind_id']) || $data['bind_id'] == ''){
		throw new Exception("Не указана связка", 1);
	}

	if(empty($data['text']) || $data['text'] == ''){
		throw new Exception("Не указан текст сообщения", 1);
	}
	
	$buttons = '';
	$is_preview = 0;
	$type = 0;

	if($bind_id == 0){$type = 2;}

	if(!empty($data['name_button']) && !empty($data['url_button'])){
		$buttons = $data['name_button'].' - '.$data['url_button'];
	}

	if(!empty($data['is_preview'])){$is_preview = 1;}

	if(!empty($data['type'])){$type = 1;}

	if($type == 1){

	$sender_check = getSenderByType($bind_id,$type);

	if(!empty($sender_check['id'])){
		throw new Exception("Авто-ответ для данной связки уже существует!", 1);
	}

	}

	if(newSender($uid,$bind_id,$text,$is_preview,$media,$buttons,$type)){

	http_response_code(200);

    $response['status'] = true;

    header('Content-type: application/json');
    echo json_encode($response);

    }

	break;

	case '/api/save_sender':

	include '_inc/session.php';

	if(empty($post['id']) || $post['id'] == '' || $post['id'] == 0){
		throw new Exception("Не указан параметр ID", 1);
	}

	$data = $post['data'];

	$id = intval($post['id']);

	$bind_id = intval($data['bind_id']);
	$text = strval($data['text']);
	$media = strval($data['media']);

	if(!isset($data['bind_id']) || $data['bind_id'] == ''){
		throw new Exception("Не указана связка", 1);
	}

	if(empty($data['text']) || $data['text'] == ''){
		throw new Exception("Не указан текст сообщения", 1);
	}
	
	$buttons = '';
	$is_preview = 0;
	$type = 0;

	if($bind_id == 0){$type = 2;}

	if(!empty($data['name_button']) && !empty($data['url_button'])){
		$buttons = $data['name_button'].' - '.$data['url_button'];
	}

	if(!empty($data['is_preview'])){$is_preview = 1;}

	if(!empty($data['type'])){$type = 1;}

	$sender = getSenderByType($bind_id,1);

	if($type == 1 && !empty($sender['id']) && $sender['id'] != $id){
		throw new Exception("Авто-ответ для данной связки уже существует!", 1);
	}

	editSenderSessionByID($uid,$id,'bind_id',$bind_id);
	editSenderSessionByID($uid,$id,'text',$text);
	editSenderSessionByID($uid,$id,'is_preview',$is_preview);
	editSenderSessionByID($uid,$id,'media',$media);
	editSenderSessionByID($uid,$id,'buttons',$buttons);
	editSenderSessionByID($uid,$id,'type',$type);
	editSenderSessionByID($uid,$id,'success',0);
	editSenderSessionByID($uid,$id,'errors',0);

	if($type == 0 || $type == 2){
		editSenderSessionByID($uid,$id,'send_at',strtotime(date('Y-m-d H:i').'+1 minutes'));
		editSenderSessionByID($uid,$id,'status',1);
	}

	if($type == 1){
		editSenderSessionByID($uid,$id,'send_at',0);
		editSenderSessionByID($uid,$id,'status',1);
	}

	http_response_code(200);

    $response['status'] = true;

    header('Content-type: application/json');
    echo json_encode($response);  

	break;

	case '/api/add_bundle':

	include '_inc/session.php';

	$data = $post['data'];
	$bid = intval($data['bid']);
	$rid = intval($data['rid']);

	if(empty($data['rid']) || $data['rid'] == '' || $data['rid'] == 0){
		throw new Exception("Не выбран ресурс", 1);
	}

	if(empty($data['bid']) || $data['bid'] == '' || $data['bid'] == 0){
		throw new Exception("Не выбран бот", 1);
	}

	$bundle_check = getBundleByRid($rid);

	if(!empty($bundle_check['id'])){
		throw new Exception("Данный ресурс уже подключен в связку!", 1);
	}

	$bot = getBotByID($bid);

	$api = 'https://api.telegram.org/bot'.$bot['token'];

	$create = createChatInviteLink('api',$rid,true);

	if($create['ok'] == false){
		throw new Exception("Бот не добавлен в администраторы ресурса!", 1);
	}

	$invite_link = $create['result']['invite_link'];

	editResource($rid,'invite_link',$invite_link);

	if(addBundle($uid,$bid,$rid)){

	http_response_code(200);

    $response['status'] = true;

    header('Content-type: application/json');
    echo json_encode($response);

    }

	break;

	case '/api/save_bundle':

	include '_inc/session.php';

	if(empty($post['id']) || $post['id'] == '' || $post['id'] == 0){
		throw new Exception("Не указан параметр ID", 1);
	}

	$data = $post['data'];

	$id = intval($post['id']);
	$rid = intval($data['rid']);
	$bid = intval($data['bid']);

	if(empty($data['rid']) || $data['rid'] == '' || $data['rid'] == 0){
		throw new Exception("Не выбран ресурс", 1);
	}

	if(empty($data['bid']) || $data['bid'] == '' || $data['bid'] == 0){
		throw new Exception("Не выбран бот", 1);
	}

	$bundle_check = getBundleByRid($rid);

	$senders[0] = getSendersByBindID($id,0);
	$senders[1] = getSendersByBindID($id,1);

	foreach ($senders[0] as $key => $value) {
		deleteSenderByID($uid,$value['id']);
	}

	foreach ($senders[1] as $key => $value) {
		editSenderSessionByID($uid,$value['id'],'success',0);
		editSenderSessionByID($uid,$value['id'],'errors',0);
	}

	if(!empty($bundle_check['id'])){
		throw new Exception("Данный ресурс уже подключен в связку!", 1);
	}

	if(empty($post['data']['rid']) || $post['data'] == ''){
		throw new Exception("Не указан ресурс", 1);
	}

    if(empty($post['data']['bid']) || $post['data'] == ''){
		throw new Exception("Не указан бот", 1);
	}

	editBundleSessionByID($uid,$id,'rid',$rid);
	editBundleSessionByID($uid,$id,'bid',$bid);

	http_response_code(200);

    $response['status'] = true;

    header('Content-type: application/json');
    echo json_encode($response);

	break;

	case '/api/bot_info':

	include '_inc/session.php';

	if(empty($post['id']) || $post['id'] == '' || $post['id'] == 0){
		throw new Exception("Не указан параметр ID", 1);
	}

	$id = intval($post['id']);

	$bot = getBotSessionByID($uid,$id);

	http_response_code(200);

    $response['status'] = true;
    $response['result'] = $bot;

    header('Content-type: application/json');
    echo json_encode($response);

	break;

	case '/api/sender_info':

	include '_inc/session.php';

	if(empty($post['id']) || $post['id'] == '' || $post['id'] == 0){
		throw new Exception("Не указан параметр ID", 1);
	}

	$id = intval($post['id']);

	$sender = getSenderSessionByID($uid,$id);

	http_response_code(200);

    $response['status'] = true;
    $response['result'] = $sender;

    header('Content-type: application/json');
    echo json_encode($response);

	break;

	case '/api/bundle_info':

	include '_inc/session.php';

	if(empty($post['id']) || $post['id'] == '' || $post['id'] == 0){
		throw new Exception("Не указан параметр ID", 1);
	}

	$id = intval($post['id']);

	$bundle = getBundleSessionByID($uid,$id);

	http_response_code(200);

    $response['status'] = true;
    $response['result'] = $bundle;

    header('Content-type: application/json');
    echo json_encode($response);

	break;

	case '/api/bots_all':

	include '_inc/session.php';

	$bots = getMyBotsAll($uid);

	http_response_code(200);

    $response['status'] = true;
    $response['result'] = $bots;

    header('Content-type: application/json');
    echo json_encode($response);

	break;

	case '/api/resources_all':

	include '_inc/session.php';

	$resources = getMyResourcesAll($uid);

	http_response_code(200);

    $response['status'] = true;
    $response['result'] = $resources;

    header('Content-type: application/json');
    echo json_encode($response);

	break;

	case '/api/bundles_all':

	include '_inc/session.php';

	$bundles = getMyBundlesAll($uid);

	$bundles_all = [];

	foreach ($bundles as $key => $value) {
		$bot = getBotByID($value['bid']);
		$resource = getResourceByID($value['rid']);

		$bundles_all[] = ['id' => $value['id'], 'resource_title' => $resource['title'], 'bot_title' => $bot['title']];
	}

	http_response_code(200);

    $response['status'] = true;
    $response['result'] = $bundles_all;

    header('Content-type: application/json');
    echo json_encode($response);

	break;

	case '/api/delete_bot':

	include '_inc/session.php';

	if(empty($post['id']) || $post['id'] == '' || $post['id'] == 0){
		throw new Exception("Не указан параметр ID", 1);
	}

	$id = intval($post['id']);

	if(deleteBotByID($uid,$id)){

	$bundle = getBundleByBid($id);
	
	if(!empty($bundle['id'])){
		deleteBundleByID($uid,$bundle['id']);
		deleteSendersByBindID($uid,$bundle['id']);
	}

	http_response_code(200);

    $response['status'] = true;

    header('Content-type: application/json');
    echo json_encode($response);

    }

	break;

	case '/api/delete_resource':

	include '_inc/session.php';

	if(empty($post['id']) || $post['id'] == '' || $post['id'] == 0){
		throw new Exception("Не указан параметр ID", 1);
	}

	$id = intval($post['id']);

	if(deleteResourceByID($uid,$id)){

	$bundle = getBundleByRid($id);
	
	if(!empty($bundle['id'])){
		deleteBundleByID($uid,$bundle['id']);
		deleteSendersByBindID($uid,$bundle['id']);
	}

	http_response_code(200);

    $response['status'] = true;

    header('Content-type: application/json');
    echo json_encode($response);

    }

	break;

	case '/api/delete_bundle':

	include '_inc/session.php';

	if(empty($post['id']) || $post['id'] == '' || $post['id'] == 0){
		throw new Exception("Не указан параметр ID", 1);
	}

	$id = intval($post['id']);

	if(deleteBundleByID($uid,$id) && deleteSendersByBindID($uid,$id)){

	http_response_code(200);

    $response['status'] = true;

    header('Content-type: application/json');
    echo json_encode($response);

    }

	break;

	case '/api/delete_sender':

	include '_inc/session.php';

	if(empty($post['id']) || $post['id'] == '' || $post['id'] == 0){
		throw new Exception("Не указан параметр ID", 1);
	}

	$id = intval($post['id']);

	if(deleteSenderByID($uid,$id)){

	http_response_code(200);

    $response['status'] = true;

    header('Content-type: application/json');
    echo json_encode($response);

    }

	break;

	case preg_match('/^\/bot\/[0-9:a-zA-Z-_]/',$addr) ? true : false:

    $token = explode('/',$addr)[2];

	include '_run/index.php';

	break;
	
}

	
} catch (Exception $e) {
	http_response_code(200);

    $response['status'] = false;
    $response['description'] = $e->getMessage();
    $response['file'] = $e->getFile();
    $response['line'] = $e->getLine();

    header('Content-type: application/json');
    echo json_encode($response);
}

?>